Bug 1568648 - The liveimg_pre scripts invokation of curl does not follow redirects
Summary: The liveimg_pre scripts invokation of curl does not follow redirects
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Retired
Component: scheduler
Version: 25
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: 25.3
Assignee: Roman Joost
QA Contact: Matt Tyson 🤬
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 01:16 UTC by Roman Joost
Modified: 2018-05-18 00:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-18 00:51:34 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Beaker Project Gerrit 6078 0 None None None 2018-05-02 03:26:36 UTC

Description Roman Joost 2018-04-18 01:16:42 UTC
Description of problem:

With the introduction of the livimg support in Bug 1420600 the liveimg_pre snippets invokation of curl doesn't follow redirects.

Version-Release number of selected component (if applicable):
25.0

How reproducible:
100%

Steps to Reproduce:
1. Schedule a job with a product which provisions with a liveimg
2. Use a liveimg URL which redirects


Actual results:
rpm2cpio exits with:
argument is not an RPM package
cpio: premature end of archive

Expected results:
downloads and extracts archive

Additional info:
None

Comment 5 Roman Joost 2018-05-02 03:26:36 UTC
Ugh... I totally forgot to assign this bug to me when writing the patch. Mea kulpa.


Note You need to log in before you can comment on or make changes to this bug.